Bug 425992 - newt fails to handle UTF-8 characters
newt fails to handle UTF-8 characters
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: newt (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 11:47 EST by Lars Vogdt
Modified: 2008-03-21 08:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 12:17:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch setting SLutf8_enable(-1); in newt (520 bytes, patch)
2007-12-17 11:47 EST, Lars Vogdt
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 289291 None None None Never

  None (edit)
Description Lars Vogdt 2007-12-17 11:47:24 EST
The current newt version (newt-0.52.7-4.fc8 package) seems not to handle utf8
characters correctly. It seems that slang is not switched to utf-8 mode in newts
code. 

Newt should call
SLutf8_enable(-1), see http://www.s-lang.org/doc/html/cslang-4.html

Have a look at the Novell bugzilla for reference.

Adding the attached patch fixes the problem.
Comment 1 Lars Vogdt 2007-12-17 11:47:24 EST
Created attachment 289784 [details]
Patch setting SLutf8_enable(-1); in newt
Comment 2 Miroslav Lichvar 2007-12-17 14:40:38 EST
Will be fixed in the next newt release.

Fedora slang package has a patch calling SLutf8_enable, so applications that
don't call the function work correctly in utf8. Maybe it's time to drop the patch.

Thanks for the report.
Comment 3 Lars Vogdt 2007-12-19 07:40:56 EST
Thanks for including this patch in the next release. 

BTW: me is hoping for a release of newt on hosted.fedoraproject.org (#226195) -
would make monitoring much easier... ;-)
Comment 4 Miroslav Lichvar 2008-01-23 12:17:48 EST
Fixed in newt-0.52.8.
Comment 5 Miroslav Lichvar 2008-03-21 08:34:03 EDT
Upstream tarballs are at https://fedorahosted.org/releases/n/e/newt/.

Note You need to log in before you can comment on or make changes to this bug.